;;; When compiling, the following is incorrectly transformed
;;; away. Trouble in srctran, not-more-contagious fails to consider
;;; larger classes of arguments.

(defun tst (var)
  (* 1.0d0 var))

(defun tst (var)
  (declare (float var))
  (* 1.0d0 var))

;;; Not-more-contagious has been patched to fix the above, but misses
;;; some transform opportunities. e.g.

;; 0 * ratio var => 0
(defun tst3 (var)
  (declare (ratio var))
  (* 0 var))

;; 1 * ratio var => var
(defun tst4 (var)
  (declare (ratio var))
  (* 1 var))

;; 1 * float var => var
(defun tst6 (var)
  (declare (float var))
  (* 1 var))
